LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::chart::ChartDataCaption Constant Group Referencepublished

These values specify how the captions of data points are displayed. More...

## Variables
const long | NONE = 0
| No captions are displayed. More...
const long | VALUE = 1
| The caption contains the value of the data point in the number format of the axis that is attached to the respective data series. More...
const long | PERCENT = 2
| The caption contains the value of the data point in percent of all data points of one category. More...
const long | TEXT = 4
| The caption contains the category name of the category to which a data point belongs. More...
const long | FORMAT = 8
| The number formatter is always used for displaying the value as value. More...
const long | SYMBOL = 16
| The symbol of data column/row is additionally displayed in the caption. More...
const long | CUSTOM = 32
| The caption contains a custom text, which belongs to a data point label. More...
const long | DATA_SERIES = 64
| The name of the data series is additionally displayed in the caption. More...

## Detailed Description

These values specify how the captions of data points are displayed.

## Variable Documentation

## ◆ CUSTOM

const long CUSTOM = 32

The caption contains a custom text, which belongs to a data point label.

Since
  LibreOffice 7.1

## ◆ DATA_SERIES

const long DATA_SERIES = 64

The name of the data series is additionally displayed in the caption.

Since
  LibreOffice 7.2

## ◆ FORMAT

const long FORMAT = 8

The number formatter is always used for displaying the value as value.

So this setting is deprecated.

Deprecated:

## ◆ NONE

const long NONE = 0

No captions are displayed.

## ◆ PERCENT

const long PERCENT = 2

The caption contains the value of the data point in percent of all data points of one category.

That means, if a data point is the first one of a series, the percentage is calculated by using the first data points of all available series.

## ◆ SYMBOL

const long SYMBOL = 16

The symbol of data column/row is additionally displayed in the caption.

## ◆ TEXT

const long TEXT = 4

The caption contains the category name of the category to which a data point belongs.

## ◆ VALUE

const long VALUE = 1

The caption contains the value of the data point in the number format of the axis that is attached to the respective data series.